Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class HistoryBrowser.CommandNamesInfo

    java.lang.Object
      org.apache.batik.apps.svgbrowser.HistoryBrowser.CommandNamesInfo

Enclosing class:
  HistoryBrowser

    public static class HistoryBrowser.CommandNamesInfo

extends Object

Contains the info on the command name being executed, undone or redone and last undoable and redoable command names.

Constructor Summary
`HistoryBrowser.CommandNamesInfo(String commandName, String lastUndoableCommandName, String lastRedoableCommandName)` Constructor.

Method Summary
`String` | `getCommandName()` Gets the command name.
`String` | `getLastRedoableCommandName()` Gets the name of the last undoable command.
`String` | `getLastUndoableCommandName()` Gets the name of the last redoable command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistoryBrowser.CommandNamesInfo

    public HistoryBrowser.CommandNamesInfo(String commandName,
                                           String lastUndoableCommandName,
                                           String lastRedoableCommandName)

  Constructor.

  Parameters:
    `commandName` - The current command name being executed/undone/redone
    `lastUndoableCommandName` - The last undoable command name
    `lastRedoableCommandName` - The last redoable command name

Method Detail

### getLastRedoableCommandName

    public String getLastRedoableCommandName()

  Gets the name of the last undoable command.

  Returns:
    the lastUndoableCommandName

### getLastUndoableCommandName

    public String getLastUndoableCommandName()

  Gets the name of the last redoable command.

  Returns:
    the lastRedoableCommandName

### getCommandName

    public String getCommandName()

  Gets the command name.

  Returns:
    the command name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.